nvme_fw_commit(2)

NAME
nvme_fw_commit - Commit firmware using the specified action

SYNOPSIS
int nvme_fw_commit (struct nvme_fw_commit_args *args );

ARGUMENTS

args
    struct nvme_fw_commit_args argument structure

DESCRIPTION
The Firmware Commit command modifies the firmware image or Boot Partitions.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise. The command status response may specify additional reset actions required to complete the commit process.